Activity log for bug #1509460

Date Who What changed Old value New value Message
2015-10-23 17:52:55 Valeriy Ponomaryov bug added bug
2015-10-23 17:53:17 Valeriy Ponomaryov tags ci functional tests
2015-10-23 17:53:23 Valeriy Ponomaryov python-manilaclient: milestone mitaka-1
2015-10-23 17:53:30 Valeriy Ponomaryov python-manilaclient: importance Undecided Critical
2015-10-23 17:55:00 Valeriy Ponomaryov description Our Functional tests job "gate-manilaclient-dsvm-neutron-functional" runs class method "setUpClass" more than one time in case if we run tests in more than one thread and have more than one test in class. So, it runs for each class test that appeared in new thread. And, with current state of tests, job creates 42 shares instead of 17. So, we have 25 redundant share creations. It is big waste of resources. So, we should make our functional tests be spread among threads only by test suites and not by tests. Our Functional tests job "gate-manilaclient-dsvm-neutron-functional" runs class method "setUpClass" more than one time in case if we run tests in more than one thread and have more than one test in class. So, it runs for each test of test suite that appeared in new thread. And, with current state of tests, job creates 42 shares instead of 17. So, we have 25 redundant share creations. It is big waste of resources. So, we should make our functional tests be spread among threads only by test suites and not by tests.
2015-10-23 17:55:23 Valeriy Ponomaryov description Our Functional tests job "gate-manilaclient-dsvm-neutron-functional" runs class method "setUpClass" more than one time in case if we run tests in more than one thread and have more than one test in class. So, it runs for each test of test suite that appeared in new thread. And, with current state of tests, job creates 42 shares instead of 17. So, we have 25 redundant share creations. It is big waste of resources. So, we should make our functional tests be spread among threads only by test suites and not by tests. Our Functional tests job "gate-manilaclient-dsvm-neutron-functional" runs class method "setUpClass" more than one time in case if we run tests in more than one thread and have more than one test in class. So, it runs for each test of test suite that appeared in new thread. And, with current state of tests, job creates 42 shares instead of 17. So, we have 25 redundant share creations. It is big waste of resources. So, we should make our functional tests be spread among threads only by test suites and not by single tests.
2015-10-26 09:45:06 Valeriy Ponomaryov tags ci functional tests backport-liberty-potential ci functional tests
2015-10-26 12:06:11 Valeriy Ponomaryov bug task added python-cinderclient
2015-10-26 12:07:17 Valeriy Ponomaryov python-manilaclient: assignee Valeriy Ponomaryov (vponomaryov)
2015-10-26 12:07:26 Valeriy Ponomaryov python-manilaclient: status New In Progress
2015-10-26 13:03:06 Valeriy Ponomaryov python-cinderclient: assignee Valeriy Ponomaryov (vponomaryov)
2015-10-26 13:03:09 Valeriy Ponomaryov python-cinderclient: status New In Progress
2015-10-26 17:05:01 OpenStack Infra python-manilaclient: status In Progress Fix Committed
2015-11-08 04:37:14 OpenStack Infra tags backport-liberty-potential ci functional tests backport-liberty-potential ci functional in-stable-liberty tests
2015-11-20 13:56:11 Valeriy Ponomaryov python-cinderclient: status In Progress Fix Committed
2015-11-20 17:41:23 Valeriy Ponomaryov bug task deleted python-cinderclient
2017-08-02 13:36:05 Goutham Pacha Ravi python-manilaclient: status Fix Committed Fix Released